FlowShopBenchmarkParser(3)

NAME
FlowShopBenchmarkParser - Class to handle parameters of a flow-shop instance from a benchmark file.

SYNOPSIS

#include <FlowShopBenchmarkParser.h>

  Public Member Functions
FlowShopBenchmarkParser (const std::string _benchmarkFileName)
Ctor.
const unsigned int getM ()
the number of machines
const unsigned int getN ()
the number of jobs
const std::vector< std::vector< unsigned int > > getP ()
the processing times
const std::vector< unsigned int > getD ()
the due-dates
void printOn (std::ostream &_os) const
printing.

  Private Member Functions
void init (const std::string _benchmarkFileName)
Initialisation of the parameters with the data contained in the benchmark file.

  Private Attributes
unsigned int M
number of machines
unsigned int N
number of jobs
std::vector< std::vector< unsigned int > > p
p[i][j] = processing time of job j on machine i
std::vector< unsigned int > d
d[j] = due-date of the job j

Detailed Description

Class to handle parameters of a flow-shop instance from a benchmark file.

Definition at line 23 of file FlowShopBenchmarkParser.h.

Constructor & Destructor Documentation

  FlowShopBenchmarkParser::FlowShopBenchmarkParser (const std::string _benchmarkFileName)

Ctor.

Parameters:
    _benchmarkFileName the name of the benchmark file

Definition at line 16 of file FlowShopBenchmarkParser.cpp.

References init().

Member Function Documentation

  void FlowShopBenchmarkParser::printOn (std::ostream & _os) const

printing.

Definition at line 46 of file FlowShopBenchmarkParser.cpp.

References d, M, N, and p.

  void FlowShopBenchmarkParser::init (const std::string _benchmarkFileName) [private]

Initialisation of the parameters with the data contained in the benchmark file.

Parameters:
    _benchmarkFileName the name of the benchmark file

Definition at line 64 of file FlowShopBenchmarkParser.cpp.

References d, M, N, and p.

Referenced by FlowShopBenchmarkParser().

Author

Generated automatically by Doxygen for ParadisEO-MOEOMovingObjects from the source code.